Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.group
Class GroupNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.openfire.group.GroupNotFoundException

All Implemented Interfaces:
  Serializable

    public class GroupNotFoundException

extends Exception

Thrown when unable to find or load a group.

Author:
  Matt Tucker
See Also:
  Serialized Form

Constructor Summary
`GroupNotFoundException()` Constructs a new exception with null as its detail message.
`GroupNotFoundException(String message)` Constructs a new exception with the specified detail message.
`GroupNotFoundException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`GroupNotFoundException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupNotFoundException

    public GroupNotFoundException()

  Constructs a new exception with null as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### GroupNotFoundException

    public GroupNotFoundException(String message)

  Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

  Parameters:
    `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### GroupNotFoundException

    public GroupNotFoundException(String message,
                                  Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Note that the detail message associated with cause is not automatically incorporated in this exception's detail message.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

### GroupNotFoundException

    public GroupNotFoundException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString()) (which typically contains the class and detail message of cause). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, java.security.PrivilegedActionException).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.